<!DOCTYPE html>
<script>
  window.fbAsyncInit = function() {
    FB.init({
      appId      : '<appId>',
      cookie     : true,
      xfbml      : true,
      version    : 'v8.0'
    });

    FB.AppEvents.logPageView();

    FB.getLoginStatus(function(response) {
        statusChangeCallback(response);

    });

  };

  (function(d, s, id){
     var js, fjs = d.getElementsByTagName(s)[0];
     if (d.getElementById(id)) {return;}
     js = d.createElement(s); js.id = id;
     js.src = "https://connect.facebook.net/en_US/sdk.js";
     fjs.parentNode.insertBefore(js, fjs);
   }(document, 'script', 'facebook-jssdk'));
</script>
<script>
      // This is called with the results from from FB.getLoginStatus().
      function statusChangeCallback(response) {
        console.log('statusChangeCallback');
        console.log(response);
        // The response object is returned with a status field that lets the
        // app know the current login status of the person.
        // Full docs on the response object can be found in the documentation
        // for FB.getLoginStatus().
        if (response.status === 'connected') {
          // Logged into your app and Facebook.
          var userAccessToken = response.authResponse.accessToken;

          testAPI();
        } else if (response.status === 'not_authorized') {
          // The person is logged into Facebook, but not your app.
          document.getElementById('status').innerHTML = 'Please log ' +
            'into this app.';
        } else {
          // The person is not logged into Facebook, so we're not sure if
          // they are logged into this app or not.
          document.getElementById('status').innerHTML = 'Please log ' +
            'into Facebook.';
        }
      }

</script>

<script>
    function testAPI() {
        /*
        console.log('Welcome!  Fetching your information.... ');
        FB.login(function(response) {
               console.log("pages_manage_metadata", response);
          }, {scope: 'pages_manage_metadata'});
        */
        FB.api('/me', function(response) {
          console.log('Successful login for: ' + response.name);
          document.getElementById('status').innerHTML =
            'Thanks for logging in, ' + response.name + '!';
        });

        FB.api('/me/accounts', function(response) {
            console.log('Successfully retrieved pages', response);
            var pages = response.data;
            for (var i = 0, len = pages.length; i < len; i++) {
                var page = pages[i];
                //console.log(page.id, page.access_token);
                page_subscribed_apps(page.id,page.access_token);


            }

        });




      }
</script>
<script>
    function page_subscribed_apps(id,pageAccessToken) {
        //console.log(id,pageAccessToken);

        FB.api('/'+id+'/subscribed_apps?access_token='+pageAccessToken,'POST',{"subscribed_fields":"messages,messaging_postbacks"},
                  function(response) {
                      console.log(id,response);
                  }
                );

    }
</script>
    <!--<div
      class="fb-like"
      data-share="true"
      data-width="450"
      data-show-faces="true">
    </div>-->
    <!-- The JS SDK Login Button -->

    <fb:login-button scope="pages_messaging,pages_manage_metadata" onlogin="testAPI();">
    </fb:login-button>

    <div id="status">
    </div>

    <!-- Load the JS SDK asynchronously -->
</body>
<!--<script async defer crossorigin="anonymous" src="https://connect.facebook.net/en_US/sdk.js"></script>-->
<script async defer crossorigin="anonymous" src="https://connect.facebook.net/en_US/sdk/debug.js"></script>

    
</html>